Bug 869168 - qemu-kvm didn't accept 'localhost' as a dest host when migrating
qemu-kvm didn't accept 'localhost' as a dest host when migrating
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Orit Wasserman
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 03:49 EDT by Xiaoqing Wei
Modified: 2014-03-03 19:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-25 07:31:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoqing Wei 2012-10-23 03:49:14 EDT
Description of problem:

qemu-kvm didn't accept 'localhost' as a dest host

Version-Release number of selected component (if applicable):
# rpm -qa | grep qemu
qemu-kvm-user-1.2-0.6.20120806git3e430569.1.el7.x86_64
ipxe-roms-qemu-20120328-2.gitaac9718.el7.noarch
qemu-kvm-1.2-0.6.20120806git3e430569.1.el7.x86_64
libvirt-daemon-driver-qemu-0.10.2-3.el7.x86_64
qemu-kvm-guest-agent-1.2-0.6.20120806git3e430569.1.el7.x86_64
qemu-kvm-common-1.2-0.6.20120806git3e430569.1.el7.x86_64
qemu-kvm-img-1.2-0.6.20120806git3e430569.1.el7.x86_64
qemu-kvm-kvm-tools-1.2-0.6.20120806git3e430569.1.el7.x86_64
qemu-kvm-system-x86-1.2-0.6.20120806git3e430569.1.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1. boot a guest, and try to migrate it to 'localhost'
2.
3.
  
Actual results:
migration fails

Expected results:
migration success

Additional info:
1) same test passes on RHEL6.HOST

2) try migrating w/ 'localhost4' / host_ip will success.

(qemu) migrate -d tcp:localhost:5200
migrate: Connection can not be completed immediately
(qemu) info status 
VM status: running
(qemu) info migrate 
Migration status: failed
(qemu) migrate -d tcp:localhost4:5200
migrate: Connection can not be completed immediately
(qemu) info migrate 
Migration status: completed
transferred ram: 707 kbytes
remaining ram: 0 kbytes
total ram: 147840 kbytes
total time: 26 milliseconds
(qemu) q

3) # cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
Comment 1 Karen Noel 2012-10-23 17:52:40 EDT
> qemu-kvm-user-1.2-0.6.20120806git3e430569.1.el7.x86_64

Can you try to reproduce with upstream qemu-kvm or qemu-kvm 1.2-ga?
Comment 2 Xiaoqing Wei 2012-10-23 23:25:39 EDT
(In reply to comment #1)
> > qemu-kvm-user-1.2-0.6.20120806git3e430569.1.el7.x86_64
> 
> Can you try to reproduce with upstream qemu-kvm or qemu-kvm 1.2-ga?

on latest qemu-kvm, migrate to 'localhost' success.
commit 4d9367b76f71c6d938cf8201392abe4bfb1136cb
Merge: 6b414d9 8e65440
Author: Marcelo Tosatti <mtosatti@redhat.com>
Date:   Thu Oct 11 05:27:15 2012 -0300


[root@localhost home]# qemu-system-x86_64 -monitor stdio -M pc-1.3
VNC server running on `::1:5900'
QEMU 1.2.50 monitor - type 'help' for more information
(qemu) info status 
VM status: running
(qemu) migr
migrate                 migrate_cancel          migrate_set_cache_size  
migrate_set_capability  migrate_set_downtime    migrate_set_speed       
(qemu) migrate -d tcp:localhost:5200
(qemu) info migr
migrate               migrate_cache_size    migrate_capabilities  
(qemu) info migrate
capabilities: xbzrle: off 
Migration status: completed
total time: 37 milliseconds
transferred ram: 691 kbytes
remaining ram: 0 kbytes
total ram: 147840 kbytes
duplicate: 36799 pages
normal: 164 pages
normal bytes: 656 kbytes
(qemu) info status 
VM status: paused (postmigrate)
(qemu) 


Thanks,
Xiaoqing Wei.
Comment 3 Orit Wasserman 2012-10-25 07:31:37 EDT
I'm closing the BZ as it was already fixed upstream

Note You need to log in before you can comment on or make changes to this bug.